Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.comp
Class ComponentIdentifier

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  CodecComponent, Component

public class ComponentIdentifier
extends QTObject
implements quicktime.jdirect.QuickTimeLib

Representation of the ComponentIdentifier.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static ComponentIdentifier` | `find(ComponentDescription desc)` Determine the next Component as specified.
`static ComponentIdentifier` | `find(ComponentIdentifier comp, ComponentDescription desc)` Determine the next Component as specified.
`ComponentDescription` | `getInfo()` Returns all of the registration information for a component.
`java.lang.String` | `toString()` Prints the Component Info.

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### find

    public static final ComponentIdentifier find(ComponentDescription desc)
                                          throws QTException

  Determine the next Component as specified. Will return null if it cannot find a component that matches the specifications.
  QuickTime::FindNextComponent

  Parameters:
    `desc` - describes the search parameters.
  Returns:
    a component identifier or zero if none found.

### find

    public static final ComponentIdentifier find(ComponentIdentifier comp,
                                                 ComponentDescription desc)
                                          throws QTException

  Determine the next Component as specified. Will return null if it cannot find a component that matches the specifications.
  QuickTime::FindNextComponent

  Parameters:
    `comp` - a previously found component
    `desc` - describes the search parameters.
  Returns:
    a component identifier or zero if none found.

### getInfo

    public final ComponentDescription getInfo()
                                       throws StdQTException

  Returns all of the registration information for a component.
  QuickTime::GetComponentInfo

  Returns:
    information about the specified component.

### toString

    public java.lang.String toString()

  Prints the Component Info.
  Overrides:
    `toString` in class `QTObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD